package gov.va.med.cds.template.generated.surveyscommon;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SurveyQuestion", propOrder = {
    "questionNumber",
    "questionText",
    "surveyChoices",
    "id"
})
public class SurveyQuestion {

    protected Integer questionNumber;
    protected String questionText;
    protected List<SurveyChoice> surveyChoices;
    protected Long id;
    
    /**
     * Gets the value of the questionNumber property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getQuestionNumber() {
        return questionNumber;
    }

    /**
     * Sets the value of the questionNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setQuestionNumber(Integer value) {
        this.questionNumber = value;
    }

    public String getQuestionText(){
    	return this.questionText;
    }
    
    public void setQuestionText(String questionText){
    	this.questionText = questionText;
    }
    
    public List<SurveyChoice> getSurveyChoices() {
        if (surveyChoices == null) {
        	surveyChoices = new ArrayList<SurveyChoice>();
        }
        return this.surveyChoices;
    }
    public void setSurveyChoices(List<SurveyChoice> surveyChoices) {
       
        this.surveyChoices = surveyChoices;
    }
    
    public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}



}
